#include "LogWriter.h"
#include "ViewCellsManager.h"


namespace GtpVisibilityPreprocessor 
{


void LogWriter::SetFilename(const std::string &filename)
{
	mFilename = filename;
}


void LogWriter::Write(ofstream &myfile, const int numSamples, const ViewCellInfoContainer &infos)
{
	ViewCellInfoContainer::const_iterator vit, vit_end = infos.end();

	for (vit = infos.begin(); vit != vit_end; ++ vit)
	{
		myfile << (*vit).mPiercingRays;
		//ViewCell *vc = *vit;
		//myfile << "vc: " << vc->GetPvs().GetSize() << " " << vc->GetNumPiercingRays();
	}
}


void LogWriter::Write(const ViewCellHistoryContainer &hist)
{
	ofstream myfile;

	//char filename[64]; 
	//sprintf(filename, "%s %06d", mFilename.c_str(), numSamples);
	//myfile.open(filename);
	myfile.open(mFilename.c_str());

	ViewCellHistoryContainer::const_iterator vit, vit_end = hist.end();

	// number of samples
	//myfile << "samples: " << numSamples << endl;
	myfile << (int)hist.size() << endl;

	for (vit = hist.begin(); vit != vit_end; ++ vit)
	{
		Write(myfile, (*vit).first, *(*vit).second);
	}
}

}
